<?php

function getDirFile($dirFile) {
    if (debug) {
        var_dump($dirFile);
    }
    switch ($dirFile['srcType']) {
        case 'url':
            $curl = curl_init($dirFile['src']);
            curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
            $content = curl_exec($curl);
            curl_close($curl);
            break;
        case 'path': 
            if (!file_exists($dirFile['src'])) {
                return false;
            }
            $content = file_get_contents($dirFile['src']);
            break;
        default:
            return false;
            break;
    }
    $content = json_decode($content, true);
    if (debug) {
        var_dump($content);
    }
    return $content;
}

function getHostInformation($librehostJsonUrl) {
    $hostInformaton = getHostJson($librehostJsonUrl);
    return $hostInformaton;
}

function getHostJson($librehostJsonUrl) {
    $curl = curl_init($librehostJsonUrl);
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
    $response = curl_exec($curl);
    curl_close($curl);
    $response = json_decode($response, true);
    return $response;
}

function moveHostToBeginning(&$hosts, $query) {
    $query = strtolower($query);
    foreach ($hosts as $key => $host) {
        if (strtolower($host['name']) === $query) {
            $h = $host;
            unset($hosts[$key]);
            array_unshift($hosts, $h);
            break;
        }
    }
}
